lv.pasts.eme.edoc

## Class EDOCException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - lv.pasts.eme.edoc.EDOCException

- All Implemented Interfaces:
    Serializable

      public class EDOCException
      extends Exception

  This exception is thrown by various methods in the lv.pasts.eme package.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `REASON_BAD_FORMAT` Exception is thrown when invalid EDOC format is encountered.
    `static int` | `REASON_BAD_TEMPLATE` Exception is thrown when invalid EDOC template is encountered.
    `static int` | `REASON_FILE_DELETE` Exception is thrown when file cannot be deleted.
    `static int` | `REASON_FILE_READ` Exception is thrown when file cannot be opened.
    `static int` | `REASON_FILE_WRITE` Exception is thrown when file cannot be written.
    `static int` | `REASON_ILLEGAL_ARGUMENT` Exception is thrown when illegal argument is provided.
    `static int` | `REASON_INIT_KEY` Error while initializing key
    `static int` | `REASON_INVALID_STRUCTURE` Exception is thrown when invalid EDOC structure is encountered.
    `static int` | `REASON_SIGNATURE_COMPLETED`
    `static int` | `REASON_SIGNATURE_VALUE_VERIFY`
    `static int` | `REASON_SIGNATURES_EXIST` Exception is thrown when EDOC is already signed.
    `static int` | `REASON_TIMESTAMP_REQUEST_REJECTED` Exception is thrown when signature timestamp request is rejected.
    `static int` | `REASON_TIMESTAMP_VERIFY`
    `static int` | `REASON_UNKNOWN` General EDOCException.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EDOCException(String message, int reason)` Constructs a new EDOCException with the specified message and reason.
    `EDOCException(String message, Throwable cause, int reason)` Constructs a new EDOCException with the specified message and reason.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReason()` Returns the reason code of this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REASON_UNKNOWN

          public static final int REASON_UNKNOWN

      General EDOCException.
      See Also:
        Constant Field Values

    - #### REASON_FILE_READ

          public static final int REASON_FILE_READ

      Exception is thrown when file cannot be opened.
      See Also:
        Constant Field Values

    - #### REASON_FILE_WRITE

          public static final int REASON_FILE_WRITE

      Exception is thrown when file cannot be written.
      See Also:
        Constant Field Values

    - #### REASON_FILE_DELETE

          public static final int REASON_FILE_DELETE

      Exception is thrown when file cannot be deleted.
      See Also:
        Constant Field Values

    - #### REASON_ILLEGAL_ARGUMENT

          public static final int REASON_ILLEGAL_ARGUMENT

      Exception is thrown when illegal argument is provided.
      See Also:
        Constant Field Values

    - #### REASON_INVALID_STRUCTURE

          public static final int REASON_INVALID_STRUCTURE

      Exception is thrown when invalid EDOC structure is encountered.
      See Also:
        Constant Field Values

    - #### REASON_SIGNATURES_EXIST

          public static final int REASON_SIGNATURES_EXIST

      Exception is thrown when EDOC is already signed.
      See Also:
        Constant Field Values

    - #### REASON_BAD_TEMPLATE

          public static final int REASON_BAD_TEMPLATE

      Exception is thrown when invalid EDOC template is encountered.
      See Also:
        Constant Field Values

    - #### REASON_BAD_FORMAT

          public static final int REASON_BAD_FORMAT

      Exception is thrown when invalid EDOC format is encountered.
      See Also:
        Constant Field Values

    - #### REASON_INIT_KEY

          public static final int REASON_INIT_KEY

      Error while initializing key
      See Also:
        Constant Field Values

    - #### REASON_TIMESTAMP_REQUEST_REJECTED

          public static final int REASON_TIMESTAMP_REQUEST_REJECTED

      Exception is thrown when signature timestamp request is rejected.
      See Also:
        Constant Field Values

    - #### REASON_SIGNATURE_COMPLETED

          public static final int REASON_SIGNATURE_COMPLETED

      See Also:
        Constant Field Values

    - #### REASON_SIGNATURE_VALUE_VERIFY

          public static final int REASON_SIGNATURE_VALUE_VERIFY

      See Also:
        Constant Field Values

    - #### REASON_TIMESTAMP_VERIFY

          public static final int REASON_TIMESTAMP_VERIFY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EDOCException

          public EDOCException(String message,
                               int reason)

      Constructs a new EDOCException with the specified message and reason.

    - #### EDOCException

          public EDOCException(String message,
                               Throwable cause,
                               int reason)

      Constructs a new EDOCException with the specified message and reason.

  - ### Method Detail

    - #### getReason

          public int getReason()

      Returns the reason code of this exception.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO